# $Revision: 1.2.2.4 $, $Date: 2006/08/29 20:38:34 $
Summary:	Library of Python code for configuring and running X
Summary(pl):	Biblioteka kodu Pythona uywana do konfiguracji i uruchamiania X
Name:		python-rhpxl
Version:	0.18
Release:	1
License:	GPL
Group:		Libraries
Source0:	rhpxl-%{version}.tar.gz
# Source0-md5:	60088c7d19309600375f16ef1dbdb952
Source1:	vesamodes
Source2:	extramodes
Patch0:		%{name}-fontpath.patch
Patch1:		%{name}-xorg.patch
BuildRequires:	gettext-devel
BuildRequires:	python-devel
%pyrequires_eq	python-libs
Requires:	hwdata >= 0.169
Requires:	kudzu >= 1.2.34.3
Requires:	newt
Requires:	python-rhpl
%ifnarch s390 s390x
Requires:	python-xf86config >= 0.3.24
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The rhxpl package contains Python code for configuring and running X.

%description -l pl
Pakiet rhpxl zawiera kod Pythona uywany do konfiguracji i
uruchamiania X.

%prep
%setup -q -n rhpxl-%{version}
%patch0 -p1
%patch1 -p1

rm -f po/no.po

%build
%{__make} \
	CC="%{__cc}" \
	RPM_OPT_FLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/rhpxl
install %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/rhpxl
install %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/rhpxl

%find_lang rhpxl
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files -f rhpxl.lang
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_sbindir}/ddcprobe
%dir %{py_sitescriptdir}/rhpxl
%{py_sitescriptdir}/rhpxl/*.py[co]
%{_datadir}/rhpxl

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-rhpxl.spec,v $
Revision 1.2.2.4  2006/08/29 20:38:34  glen
- rel 1

Revision 1.2.2.3  2006/06/06 17:05:42  glen
- python-xf86config dep moved from python-rhpl

Revision 1.2.2.2  2006/05/25 23:39:21  glen
- adjust fontpath written into xorg.conf

Revision 1.2.2.1  2006/05/25 23:10:20  glen
- kill xorg for AC

Revision 1.2  2006/05/17 23:32:40  glen
- up to 0.18

Revision 1.1  2005/11/06 16:52:49  patrys
- initial PLD release
